- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxBindingOperator::FunctionCreatorBase Class Reference

Search for all occurrences

## Detailed Description

The abstract factory class for binding function.

Definition at line 218 of file fbxbindingoperator.h.

`#include <fbxbindingoperator.h>`

Inheritance diagram for FbxBindingOperator::FunctionCreatorBase:
[legend]

List of all members.

## Public Member Functions
virtual | ~FunctionCreatorBase ()
| Destructor.
virtual char const * | GetFunctionName () const =0
| Get name of the function.
virtual Function * | CreateFunction () const =0
| Create the function.

## Constructor & Destructor Documentation

virtual ~FunctionCreatorBase | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 222 of file fbxbindingoperator.h.

    {}

## Member Function Documentation

virtual char const* GetFunctionName | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Get name of the function.

Returns:
  The name of the function.

Implemented in FbxBindingOperator::FunctionCreator< FUNCTION >.

virtual Function* CreateFunction | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Create the function.

Implemented in FbxBindingOperator::FunctionCreator< FUNCTION >.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingoperator.h

FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase
FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase FbxBindingOperator::FunctionCreatorBase